## cantor 15.08.2

=== debian/changelog ===
cantor (4:15.08.2-0ubuntu3) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 10:39:39 +0000

cantor (4:15.08.2-0ubuntu2) wily; urgency=medium

  * Start kdeinit5 rather than kdeinit4 in the autopkgtest testsuite
  * autopkgtest depends on python3-numpy to pass the python3 tests
  * Made octave backend depend on ghostscript as some of its scripts use the
    print instruction which requires it
  * Added kubuntu_by-default-use-octave-cli-rather-than-octave.patch to change
    the octave binary from 'octave' to 'octave-cli' as octave for unknown
    reasons decides to load the GUI when we really want the CLI. Also filed
    for review upstream

 -- Harald Sitter <sitter@kde.org>  Thu, 15 Oct 2015 15:26:27 +0200

cantor (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:48:54 +0100
