=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS
                  16-apps-cantor.png
                  22-apps-cantor.png
                  32-apps-cantor.png
                  48-apps-cantor.png
                  64-apps-cantor.png
                  128-apps-cantor.png
                  48-apps-kalgebrabackend.png
                  48-apps-luabackend.png
                  48-apps-maximabackend.png
                  48-apps-octavebackend.png
                  48-apps-pythonbackend.png
                  48-apps-qalculatebackend.png
                  48-apps-rbackend.png
                  48-apps-sagebackend.png
                  48-apps-scilabbackend.png
                  DESTINATION ${KDE_INSTALL_ICONDIR}
                  THEME hicolor)
