=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   defaultvariablemodel.cpp
   panelplugin.cpp
   panelpluginhandler.cpp
+  worksheetaccess.cpp
   directives/plotdirectives.cpp
 )
 
@@ -44,8 +45,8 @@
   textresult.h
   #helper classes
   defaulthighlighter.h
-  defaultvariablemodel.h
-
+  defaultvariablemodel.h  
+  worksheetaccess.h
 )
 
 ki18n_wrap_ui(cantor_LIB_SRCS directives/axisrange.ui directives/plottitle.ui)
@@ -57,12 +58,21 @@
 
 add_library( cantorlibs  SHARED ${cantor_LIB_SRCS} )
 
+kcoreaddons_desktop_to_json(cantorlibs cantor_assistant.desktop)
+kcoreaddons_desktop_to_json(cantorlibs cantor_backend.desktop)
+kcoreaddons_desktop_to_json(cantorlibs cantor_panelplugin.desktop)
+
 target_link_libraries( cantorlibs
-  KF5::KDELibs4Support
+  KF5::Completion
+  KF5::IconThemes
   KF5::KIOCore
+  KF5::KIOFileWidgets
+  KF5::KIOWidgets
   KF5::Archive
   KF5::ConfigCore
   KF5::ConfigGui
+  KF5::I18n
+  KF5::XmlGui
   ${QT5_LIBRARIES}
   Qt5::Xml
 )
@@ -79,8 +89,4 @@
   COMPONENT Devel
 )
 
-install( FILES cantor_backend.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
-install( FILES cantor_assistant.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
-install( FILES cantor_panelplugin.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
-
 add_subdirectory(test)
