=== debian/changelog ===
cantor (4:15.12.1-0ubuntu3) xenial; urgency=medium

  * Only build the maxima backend on !s390x as maxima is not available there 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 15 Mar 2016 01:28:04 +0100

cantor (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * No-change rebuild against libanalitza7 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 15 Mar 2016 00:30:19 +0100

cantor (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * Added worksheetaccess.h to cantor-dev.install  
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:22:37 +0100

cantor (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:55 +0100

cantor (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:19 +0200

cantor (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).
  * Update build dependencies.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Sep 2015 18:15:59 +0200

cantor (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:10 +0200

cantor (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).

  [ Scarlett Clark ]
  * Remove weaker suggests cantor-backend-qalculate, as
    it is already a recommends.

  [ Harald Sitter ]
  * Add python-numpy to tests dependencies, should fix python test

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Feb 2015 11:05:54 +0100

cantor (4:4.14.2-3) unstable; urgency=medium

  * Team upload.
  * Add libsoprano-dev to build-depends since it is no longer transitively
    pulled in

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Aug 2015 16:54:15 -0400
