## cantor 15.12.3

=== debian/changelog ===
cantor (4:15.12.3-0ubuntu2) xenial; urgency=medium

  * Add missing test dependencies. 
  * Release to archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 18 Apr 2016 08:34:16 -0700

cantor (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:52:01 -0700
