## cantor 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,14 @@
 
 add_definitions(-DMAKE_CANTORLIBS_LIB)
 
-find_package(ECM 1.7.0 REQUIRED CONFIG)
+# KDE Application Version, managed by release script
+set (KDE_APPLICATIONS_VERSION_MAJOR "16")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+
+
+find_package(ECM 5.15.0 REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 find_package(Qt5 CONFIG REQUIRED
@@ -16,7 +23,7 @@
     XmlPatterns
     Test)
 
-find_package(KF5 REQUIRED
+find_package(KF5 5.15 REQUIRED
     Config
     Crash
     Completion
