=== debian/changelog ===
cantor (4:16.04.3-0ubuntu2) zesty; urgency=medium

  * No-change rebuild for libqalculate soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Nov 2016 18:45:45 +0000

cantor (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge. 
  * Install to /tmp to avoid install boom. 
  * rearrange dh_install. Prior commit not triggering. 
  * Remove merge markers. 
  * Remove more merge markers. 
  * Remove even more merge markers. Update new lintian
    override for libcantor_pythonbackend. 
  * Enable scilab. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * Bumping lib version in install file
  * New upstream release 16.04.2
  * Fixing install file
  * New upstream release (16.04.3)
  * Fixing spelling mistakes lintian is complaining about

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:43:45 +0200

cantor (4:15.12.3-0ubuntu3) yakkety; urgency=medium

  * No-change rebuild for libmatio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Apr 2016 13:48:31 +0000

cantor (4:15.12.2-1) unstable; urgency=medium

  * New upstream release (15.12.2).
  * Disable scilab support, (wait for #749833 to be fixed to re-enable
    it).
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Feb 2016 09:02:06 +0100

cantor (4:15.12.1-2) experimental; urgency=medium

  * Install cantor_lua.knsrc only if present.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 12:50:12 +0100

cantor (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:13 +0100
