=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,17 @@
 	# Disable dh_auto_test at build time
 	:
 
+override_dh_install:
+	$(overridden_command)
+	--destdir=debian/tmp \
+	# The luajit is available only in amd64 and i386 for now
+	if [ -f debian/tmp/etc/xdg/cantor_lua.knsrc ]; then \
+	    mkdir -p debian/cantor/etc/xdg; \
+	    cp debian/tmp/etc/xdg/cantor_lua.knsrc debian/cantor/etc/xdg; \
+	fi 
+
 override_dh_makeshlibs:
 	$(overridden_command) -V
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=cantor-dbg
+	$(overridden_command) --ddeb-migration='cantor-dbg (<= 4:15.12.1-1~~)'
