## cantor 16.08.3

=== debian/changelog ===
cantor (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:49:59 +0100

cantor (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:03:38 +0200

cantor (4:16.04.2-1) unstable; urgency=medium

  * Add new patch: upstream_drop_settingswidget_files.patch (Closes: 792078)
    Thanks to Scott Kitterman for the report.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:10:44 +0200

cantor (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Add scilab files to the not-installed list
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * Add new lintian-override for package-must-activate-ldconfig-trigger

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:27:36 +0200
