=== debian/control ===
--- 
+++ 
@@ -5,23 +5,29 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
+               extra-cmake-modules (>= 5.15.0~),
+               kdoctools-dev (>= 5.15~),
+               kio-dev (>= 5.15~),
                libanalitza-dev (>> 4:15.08),
                libglib2.0-dev,
-               libkf5archive-dev,
-               libkf5config-dev,
-               libkf5coreaddons-dev,
+               libkf5archive-dev (>= 5.15~),
+               libkf5completion-dev (>= 5.15~),
+               libkf5config-dev (>= 5.15~),
+               libkf5coreaddons-dev (>= 5.15~),
+               libkf5crash-dev (>= 5.15~),
+               libkf5doctools-dev (>= 5.15~),
+               libkf5i18n-dev (>= 5.15~),
+               libkf5iconthemes-dev (>= 5.15~),
                libkf5kdelibs4support-dev,
-               libkf5newstuff-dev,
-               libkf5parts-dev,
-               libkf5pty-dev,
-               libkf5texteditor-dev,
-               libkf5textwidgets-dev,
-               libkf5unitconversion-dev,
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
-               libluajit-5.1-dev  [i386 amd64],
+               libkf5kio-dev (>= 5.15~),
+               libkf5newstuff-dev (>= 5.15~),
+               libkf5parts-dev (>= 5.15~),
+               libkf5pty-dev (>= 5.15~),
+               libkf5texteditor-dev (>= 5.15~),
+               libkf5textwidgets-dev (>= 5.15~),
+               libkf5xmlgui-dev (>= 5.15~),
+               liblapack3,
+               libluajit-5.1-dev [i386 amd64],
                libqalculate-dev,
                libqt5svg5-dev (>= 5.4),
                libqt5xmlpatterns5-dev (>= 5.4),
@@ -32,10 +38,10 @@
                python3-dev,
                qtbase5-dev (>= 5.4),
                r-base-core
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/cantor.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/cantor.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/cantor.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/cantor.git
 
 Package: cantor
 Architecture: any
@@ -49,8 +55,7 @@
           cantor-backend-python2,
           cantor-backend-python3,
           cantor-backend-r,
-          cantor-backend-sage,
-          cantor-backend-scilab [i386 amd64]
+          cantor-backend-sage
 Description: interface for mathematical applications
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -111,7 +116,7 @@
  This package is part of the KDE education module.
 
 Package: cantor-backend-maxima
-Architecture: amd64 i386 armhf arm64 powerpc ppc64el
+Architecture: any
 Section: math
 Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
 Description: Maxima backend for Cantor
@@ -128,7 +133,7 @@
 Package: cantor-backend-octave
 Architecture: any
 Section: math
-Depends: ghostscript, octave, ${misc:Depends}, ${shlibs:Depends}
+Depends: octave, ${misc:Depends}, ${shlibs:Depends}
 Description: Octave backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -243,27 +248,10 @@
  .
  This package is part of the KDE education module.
 
-Package: cantor-backend-scilab
-Architecture: amd64 i386
-Section: math
-Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
-Description: Scilab backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using the Scilab scientific software
- package for numerical computations (http://www.scilab.org) in Cantor.
- .
- This package is part of the KDE education module.
-
 Package: cantor-backend-lua
 Architecture: amd64 i386
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:15.08.0+git20150909)
-Replaces: cantor (<< 4:15.08.0+git20150909)
 Description: Lua backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -272,19 +260,6 @@
  .
  This package provides the backend for using the Lua language
  (http://www.lua.org) in Cantor.
- .
- This package is part of the KDE education module.
-
-Package: cantor-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: cantor (= ${binary:Version}), ${misc:Depends}
-Breaks: kdeedu-dbg (<< 4:4.6.80)
-Replaces: kdeedu-dbg (<< 4:4.6.80)
-Description: debugging symbols for cantor
- This package contains debugging files used to investigate problems with
- binaries included in cantor.
  .
  This package is part of the KDE education module.
