=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/cantor-([\d.]+).tar.xz
